Kafka
  1. Kafka
  2. KAFKA-296

Update Go Client to new version of Go

    Details

    • Type: Improvement Improvement
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Won't Fix
    • Affects Version/s: 0.7.1
    • Fix Version/s: 0.8.0
    • Component/s: clients
    • Labels:
      None

      Description

      go (http://golang.org) is close to releasing a new release of go (1.0) which requires updates to the client, in the meantime most of the go community has moved to this version.

      This change contains:

      • language changes to existing client (os.Error, time. Signals, etc)
      • removes the Makefile's (no longer used by go)
      • It also runs "go fmt" (formats it in standard go) which are most of the lines changes, from spaces to tabs.
      • updates the import path to allow for "go get" installs (don't need to get source and build)

      Not sure which versions this should apply to, but i think it should go to 0.7 and newer.

      1. go1updates.patch
        68 kB
        AaronR
      2. kafka296_v4.patch
        92 kB
        Jeffrey Damick
      3. kafka296-v2.patch
        14 kB
        AaronR
      4. kafka296v3.git.patch
        33 kB
        AaronR

        Activity

        No work has yet been logged on this issue.

          People

          • Assignee:
            Unassigned
            Reporter:
            AaronR
          • Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development